<%@ Register TagPrefix="cse444" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cse444" TagName="Header" Src="Header.ascx" %>
<%@ Register TagPrefix="cse444" TagName="SideMenu" Src="SideMenu.ascx" %>
<%@ Page language="c#" Codebehind="Products.aspx.cs" AutoEventWireup="false" Inherits="store_starter.Products" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<html>
	<head>
		<title>CSE 444 Store - Products</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link href="default.css" type="text/css" rel="stylesheet">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<cse444:header id="Header" runat="server"></cse444:header>
			<div id="Content">
				<div class="prop"><!-- MSIE CSS Hack --></div>
				<%-- Start Page Template Here --%>
				<h3><%= Request.QueryString["View"] == "All" ? "All Products" : "Products in " + Request.QueryString["View"] %></h3>
				<asp:repeater runat="server" id="productsRepeater">
					<headertemplate>
						<table width="100%">
							<tr>
								<th width="100%">
									Product</th>
								<th align="right">
									Retail&nbsp;Price</th>
								<th align="right">
									Our&nbsp;Price</th>
							</tr>
					</headertemplate>
					<itemtemplate>
						<tr>
							<td>
								<a href="Product.aspx?Product=<%# "--" %>"><%# "--" %></a>
								<asp:placeholder runat=server visible='<%# true %>'>
									<strong>[Out Of Stock]</strong>
								</asp:placeholder>
								<%-- Yes, this is a repeater nested within a repeater.  This is a trick to do but I'll give you a hint.
									 System.Data.DataSet.Relations --%>
								<asp:repeater datasource='<%# null %>' runat=server>
									<headertemplate><br/><span class="small">by: </headertemplate>
									<separatortemplate>, </separatortemplate>
									<itemtemplate><%# "--" %></itemtemplate>
									<footertemplate></span></footertemplate>
								</asp:repeater>
							</td>
							<td align="right"><%# "--" %></td>
							<td align="right"><%# "--" %></td>
						</tr>
					</itemtemplate>
					<footertemplate>
						</table>
					</footertemplate>
				</asp:repeater>				
				<%-- End Page Template Here --%>
			</div>
			<cse444:sidemenu id="SideMenu" runat="server"></cse444:sidemenu>
			<cse444:footer id="Footer" runat="server"></cse444:footer>
		</form>
	</body>
</html>
