<%@ Register TagPrefix="cse444" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cse444" TagName="Header" Src="Header.ascx" %>
<%@ Register TagPrefix="cse444" TagName="SideMenu" Src="SideMenu.ascx" %>
<%@ Page language="c#" Codebehind="Register.aspx.cs" AutoEventWireup="false" Inherits="store_starter.Register" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<html>
	<head>
		<title>CSE 444 Store - Register</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<asp:placeholder id="metarefresh" runat="server" visible="false">
			<META http-equiv=Refresh content='5; <%= Request.QueryString["Return"] %>'>
		</asp:placeholder>
		<link href="default.css" type="text/css" rel="stylesheet">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<cse444:header id="Header" runat="server"></cse444:header>
			<div id="Content">
				<div class="prop"><!-- MSIE CSS Hack --></div>
				<%-- Start Page Template Here --%>
				<asp:placeholder id="registrationThankYou" visible="false" runat="server">
					<h3>Register</h3>
					<strong>Thank You For Registering</strong>
				</asp:placeholder>
					
				<asp:placeholder id="registrationForm" runat="server">
					<h3>Register</h3>
					<p>All fields are required.</p>
					<fieldset>
						<legend>Account Information</legend>
						
						<label>First Name</label><br>
						<asp:textbox id="fname" runat="server"></asp:textbox>
						<asp:requiredfieldvalidator id="fname_val2" runat="server" controltovalidate="fname" errormessage="**" enableclientscript="false"></asp:requiredfieldvalidator><br>
						
						<label>Last Name</label><br>
						<asp:textbox id="lname" runat="server"></asp:textbox>
						<asp:requiredfieldvalidator id="lname_val2" runat="server" controltovalidate="lname" errormessage="**" enableclientscript="false"></asp:requiredfieldvalidator><br>
						
						<label>Email Address</label><br>
						<asp:textbox id="email" runat="server"></asp:textbox>
						<asp:requiredfieldvalidator id="email_val2" runat="server" controltovalidate="email" errormessage="**" enableclientscript="false"></asp:requiredfieldvalidator><br>
						
						<label>Password</label><br>
						<asp:textbox id="password" runat="server"></asp:textbox>
						<asp:requiredfieldvalidator id="password_val2" runat="server" controltovalidate="password" errormessage="**" enableclientscript="false"></asp:requiredfieldvalidator>
					</fieldset>
					
					<fieldset>
						<legend>Address</legend>
						
						<label>Street</label><br>
						<asp:textbox id="street" runat="server"></asp:textbox>
						<asp:requiredfieldvalidator id="street_val2" runat="server" controltovalidate="street" errormessage="**" enableclientscript="false"></asp:requiredfieldvalidator><br>
						
						<label>City</label><br>
						<asp:textbox id="city" runat="server"></asp:textbox>
						<asp:requiredfieldvalidator id="city_val2" runat="server" controltovalidate="city" errormessage="**" enableclientscript="false"></asp:requiredfieldvalidator><br>
						
						<label>State</label><br>
						<asp:dropdownlist id="state" runat="server">
							<asp:listitem value="CA">California</asp:listitem>
							<asp:listitem value="WA">Washington</asp:listitem>
						</asp:dropdownlist><br>
						
						<label>Zip</label><br>
						<asp:textbox id="zip" runat="server"></asp:textbox>
						<asp:textbox id="zip4" runat="server"></asp:textbox>
						<asp:requiredfieldvalidator id="zip_val2" runat="server" controltovalidate="zip" errormessage="**" enableclientscript="false"></asp:requiredfieldvalidator>
						<asp:regularexpressionvalidator id="zip_val3" runat="server" controltovalidate="zip" errormessage="Zip codes are five digits." enableclientscript="false" validationexpression="^\d\d\d\d\d$"></asp:regularexpressionvalidator>
						<asp:regularexpressionvalidator id="zip_val4" runat="server" controltovalidate="zip4" errormessage="Zip codes extensions are four digits." enableclientscript="false" validationexpression="^(\d\d\d\d)?$"></asp:regularexpressionvalidator><br>
						
						<label>Phone 1-555-555-5555</label><br>
						<asp:textbox id="phone" runat="server"></asp:textbox>
						<asp:requiredfieldvalidator id="phone_val2" runat="server" controltovalidate="phone" errormessage="**" enableclientscript="false"></asp:requiredfieldvalidator>
						<asp:regularexpressionvalidator id="phone_val" runat="server" controltovalidate="phone" errormessage="Your phone number needs to match the above pattern." enableclientscript="false" validationexpression="^1-\d\d\d-\d\d\d-\d\d\d\d$"></asp:regularexpressionvalidator>
					</fieldset>
					
					<p>
						<asp:button id="regSubmit" onclick="GoRegister" runat="server" text="Register"></asp:button>
					</p>
				</asp:placeholder>
			<%-- Start Page Template Here --%>
			</div>
			<cse444:sidemenu id="SideMenu" runat="server"></cse444:sidemenu>
			<cse444:footer id="Footer" runat="server"></cse444:footer>
		</form>
	</body>
</html>
