using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace store_starter
{
	/// <summary>
	/// Summary description for Register.
	/// </summary>
	public class Register : System.Web.UI.Page, IStorePage
	{
		#region Web Form Designer generated code
		protected System.Web.UI.WebControls.TextBox fname;
		protected System.Web.UI.WebControls.TextBox lname;
		protected System.Web.UI.WebControls.TextBox email;
		protected System.Web.UI.WebControls.TextBox password;
		protected System.Web.UI.WebControls.TextBox street;
		protected System.Web.UI.WebControls.TextBox city;
		protected System.Web.UI.WebControls.DropDownList state;
		protected System.Web.UI.WebControls.TextBox zip;
		protected System.Web.UI.WebControls.TextBox zip4;
		protected System.Web.UI.WebControls.TextBox phone;
		protected System.Web.UI.WebControls.Button regSubmit;
		protected System.Web.UI.WebControls.PlaceHolder metarefresh;
		protected System.Web.UI.WebControls.PlaceHolder registrationThankYou;
		protected System.Web.UI.WebControls.PlaceHolder registrationForm;
		protected System.Web.UI.WebControls.RequiredFieldValidator fname_val2;
		protected System.Web.UI.WebControls.RequiredFieldValidator lname_val2;
		protected System.Web.UI.WebControls.RequiredFieldValidator email_val2;
		protected System.Web.UI.WebControls.RequiredFieldValidator password_val2;
		protected System.Web.UI.WebControls.RequiredFieldValidator street_val2;
		protected System.Web.UI.WebControls.RequiredFieldValidator city_val2;
		protected System.Web.UI.WebControls.RequiredFieldValidator zip_val2;
		protected System.Web.UI.WebControls.RegularExpressionValidator zip_val3;
		protected System.Web.UI.WebControls.RegularExpressionValidator zip_val4;
		protected System.Web.UI.WebControls.RequiredFieldValidator phone_val2;
		protected System.Web.UI.WebControls.RegularExpressionValidator phone_val;
		#endregion

		private StoreContext storeContext;
	
		private void Page_Load(object sender, System.EventArgs e) {
			// intialize class variables
			storeContext = new StoreContext(this);
			// not much to do with this form since all is does is load a form
		}

		/// <summary>
		/// Get the context object for this page.
		/// </summary>
		public StoreContext StoreContext{
			get {
				return storeContext;
			}
		}

		/// <summary>
		/// Respond to register button click
		/// </summary>
		public void GoRegister(object sender, System.EventArgs e){

			// make sure input is valid (runs validators, see template)
			if(Page.IsValid){

				int customerID = 0;

				// insert new user information into database...
				// ...

				// hide form and show thank you message ...
				this.registrationThankYou.Visible = true;
				this.registrationForm.Visible = false;

				// log user in
				storeContext.UserLogin(email.Text, customerID);
			}
		}


		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
