<%@ Page language="c#" Codebehind="Cart.aspx.cs" AutoEventWireup="false" Inherits="store_starter.Cart" %>
<%@ Register TagPrefix="cse444" TagName="SideMenu" Src="SideMenu.ascx" %>
<%@ Register TagPrefix="cse444" TagName="Header" Src="Header.ascx" %>
<%@ Register TagPrefix="cse444" TagName="Footer" Src="Footer.ascx" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<html>
	<head>
		<title>CSE 444 Store - Shopping Cart </title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link href="default.css" type="text/css" rel="stylesheet">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<cse444:header id="Header" runat="server"></cse444:header>
			<div id="Content">
				<div class="prop"><!-- MSIE CSS Hack --></div>
				<%-- Start Page Template Here --%>
				<h3>Shopping Cart for
					<%# storeContext.ActiveUser %>
				</h3>
				<asp:placeholder id="noItems" visible="false" runat="server">
					<p><strong>There are currently no items in your shopping cart!</strong>
					</p>
				</asp:placeholder>
				<asp:repeater id="itemsRepeater" runat="server">
					<headertemplate>
						<table width="100%">
							<tr>
								<th>
									Product</th>
								<th>
									Quantity</th>
								<th>
									Price Per Unit</th>
								<th>
									Price</th>
							</tr>
					</headertemplate>
					<itemtemplate>
						<tr>
							<td><%# "--" %></td>
							<td align="right">
								<asp:textbox runat=server visible=False id=productID text='<%# "--" %>'>
								</asp:textbox>
								<asp:textbox runat=server style="width:30px;" align=right id=quantity text='<%# "--" %>'>
								</asp:textbox>
								<asp:requiredfieldvalidator id="quantity_val2" runat="server" controltovalidate="quantity" errormessage="**"
									enableclientscript="false" />
								<asp:regularexpressionvalidator id="quantity_val" runat="server" controltovalidate="quantity" validationexpression="^(\d)+$"
									errormessage="Quantities have to be whole numbers" enableclientscript="false" />
							</td>
							<td align="right"><%# "--" %></td>
							<td align="right"><%# "--" %></td>
						</tr>
					</itemtemplate>
					<footertemplate>
						<tr>
							<td colspan="4">&nbsp;</td>
						</tr>
						<tr>
							<td colspan="3">
								Subtotal
							</td>
							<td align="right"><%# "--" %></td>
						</tr>
						</table>
						<p align="right">
							<asp:button text="Update Quantities" id="updateQuantities" onclick="UpdateQuantities" runat="server"></asp:button>
							<asp:button text="Check Out" id="checkOut" onclick="CheckOut" runat="server"></asp:button>
						</p>
					</footertemplate>
				</asp:repeater>
				<%-- Start Page Template Here --%>
			</div>
			<cse444:sidemenu id="SideMenu" runat="server"></cse444:sidemenu>
			<cse444:footer id="Footer" runat="server"></cse444:footer>
		</form>
	</body>
</html>
