using System;

namespace store_starter {
	/// <summary>
	/// An interface implemented by all store pages. 
	/// Required by the header, footer, and sidemenu user controls.
	/// </summary>
	public interface IStorePage {

		/// <summary>
		/// Get the store context object.
		/// </summary>
		StoreContext StoreContext{get;}
	}
}
