<%@ Page language="c#" Codebehind="Login.aspx.cs" AutoEventWireup="false" Inherits="store_starter.Login" %>
<%@ Register TagPrefix="cse444" TagName="SideMenu" Src="SideMenu.ascx" %>
<%@ Register TagPrefix="cse444" TagName="Header" Src="Header.ascx" %>
<%@ Register TagPrefix="cse444" TagName="Footer" Src="Footer.ascx" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<html>
	<head>
		<title>CSE 444 Store - Login</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<asp:placeholder id="metarefresh" runat="server" visible="false">
			<META http-equiv=Refresh content='5; <%= Request.QueryString["Return"] %>'>
		</asp:placeholder>
		<link href="default.css" type="text/css" rel="stylesheet">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<cse444:header id="Header" runat="server"></cse444:header>
			<div id="Content">
				<div class="prop"><!-- MSIE CSS Hack --></div>
				<%-- Start Page Template Here --%>
				<asp:placeholder id=logoutMessage runat="server" visible='<%# Request.QueryString["Action"] == "Logout" %>'>
					<h3>Logout</h3>
					<div align="center">
						<strong>Thank you for shopping at our fake store!<br>
							Come Again...</strong>
					</div>
				</asp:placeholder>
				
				<asp:placeholder id="loginMessage" runat="server" visible="false">
					<h3>Login</h3>
					<div align="center">
						<strong>Welcome Back</strong>
					</div>
				</asp:placeholder>
				
				<asp:placeholder id=loginForm runat="server" visible='<%# Request.QueryString["Action"] == "Login" %>'>
					<h3>Login</h3>
					<asp:placeholder id="loginError" visible="false" runat="server">
						<strong>Oops, the email/password combination you entered does not appear in our database.<br>
							Please try again or <a href="Register.aspx">register</a> for a new account.</strong>
					</asp:placeholder>
					
					<fieldset>
						<legend>Login Credentials</legend>
						
						<label>Email Address</label><br>
						<asp:textbox id="email" runat="server" width="290px"></asp:textbox>
						<asp:requiredfieldvalidator id="email_val2" runat="server" controltovalidate="email" errormessage="**" enableclientscript=false />
						<br>
						
						<label>Password</label><br>
						<asp:textbox id="password" runat="server" width="290px"></asp:textbox>
						<asp:requiredfieldvalidator id="password_val2" runat="server" controltovalidate="password" errormessage="**" enableclientscript=false />
						<br>
						
						<asp:checkbox id="savepassword" runat="server" text="Save Password"></asp:checkbox><br>
						
						<asp:button id="loginbutton" onclick="GoLogin" runat="server" text="Login"></asp:button>
					</fieldset>
					
					<p>
						<a href="Register.aspx">[Register for a new account]</a>
					</p>
				</asp:placeholder>			
				<%-- End Page Template Here --%>
			</div>
			<cse444:sidemenu id="SideMenu" runat="server"></cse444:sidemenu>
			<cse444:footer id="Footer" runat="server"></cse444:footer>
		</form>
	</body>
</html>
