<%@ Register TagPrefix="cse444" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cse444" TagName="Header" Src="Header.ascx" %>
<%@ Register TagPrefix="cse444" TagName="SideMenu" Src="SideMenu.ascx" %>
<%@ Page language="c#" Codebehind="Order.aspx.cs" AutoEventWireup="false" Inherits="store_starter.Order" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<html>
	<head>
		<title>CSE 444 Store - Order Details</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link href="default.css" type="text/css" rel="stylesheet">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<cse444:header id="Header" runat="server"></cse444:header>
			<div id="Content">
				<div class="prop"><!-- MSIE CSS Hack --></div>
				<%-- Start Page Template Here --%>
				<h2>Order Information</h2>
				<p><a href="default.aspx">Back To Orders</a></p>
				<asp:placeholder id="inputError" runat="server" visible="false">
					<p><strong>Input Error:
							<%= Request.QueryString["invoice"] %>
							is an invalid invoice id.</strong></p>
				</asp:placeholder>
				<asp:placeholder runat="server" id="invoiceContent">
					<p><b>Customer:</b>
						<%= "--" %>
						&nbsp;<%= "--" %>
						[<%= "--" %>]
					</p>
					<p><b>Date:</b>
						<%= "--" %>
					</p>
					<p><b>Credit Card:</b>
						<%= "--" %>
						[****-****-****-<%= "--" %>]</p>
					<asp:repeater id="itemRepeater" runat="server">
						<headertemplate>
							<table width="100%">
								<tr>
									<th>
										Itmes
									</th>
									<th align="right">
										Quantity</th>
									<th align="right">
										Price Per Unit</th>
									<th align="right">
										Price</th>
								</tr>
						</headertemplate>
						<itemtemplate>
							<tr>
								<td><%# "--" %></td>
								<td align="right"><%# "--" %></td>
								<td align="right"><%# "--" %></td>
								<td align="right"><%# "--" %></td>
							</tr>
						</itemtemplate>
						<footertemplate>
							<tr>
								<td colspan="4">&nbsp;</td>
							</tr>
							<tr>
								<td colspan="3">
									Subtotal
								</td>
								<td align="right"><%= "--" %></td>
							</tr>
							<tr>
								<td colspan="3">
									Tax
								</td>
								<td align="right"><%= "--" %></td>
							</tr>
							<tr>
								<td colspan="3">
									Shipping
								</td>
								<td align="right"><%= "--" %></td>
							</tr>
							<tr>
								<td colspan="3">
									<b>Total</b>
								</td>
								<td align="right"><b><%= "--" %></b></td>
							</tr>
							</table>
						</footertemplate>
					</asp:repeater>
					<p><b>Billed To:</b><br>
						<%= "--" %>
						<br>
						<%= "--" %>
						<br>
						<%= "--" %>
						<br>
						<%= "--" %>
						<br>
						<%= "--" %>
						,
						<%= "--" %>
						&nbsp;<%= "--" %>
						-
						<%= "--" %>
					</p>
					<asp:repeater id="packageRepeater" runat="server">
						<headertemplate>
							<table width="100%">
								<tr>
									<th>
										Package
									</th>
									<th align="right">
										Shipping Method</th>
									<th align="right">
										Arrival Date</th>
									<th align="right">
										Status</th>
								</tr>
						</headertemplate>
						<itemtemplate>
							<tr>
								<td>
									<%# "--" %>
								</td>
								<td align="right"><%# "--" %>
									-
									<%# "--" %>
								</td>
								<td align="right"><%# "--" %></td>
								<td align="right"><%# "--" %></td>
							</tr>
						</itemtemplate>
						<footertemplate>
							</table>
						</footertemplate>
					</asp:repeater>
					<p><b>Shipped To:</b><br>
						<%= "--" %>
						<br>
						<%= "--" %>
						<br>
						<%= "--" %>
						<br>
						<%= "--" %>
						<br>
						<%= "--" %>
						,
						<%= "--" %>
						&nbsp;<%= "--" %>
						-
						<%= "--" %>
					</p>
				</asp:placeholder>
				<%-- End Page Template Here --%>
			</div>
			<cse444:sidemenu id="SideMenu" runat="server"></cse444:sidemenu>
			<cse444:footer id="Footer" runat="server"></cse444:footer>
		</form>
	</body>
</html>
