<%@ Register TagPrefix="cse444" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cse444" TagName="Header" Src="Header.ascx" %>
<%@ Register TagPrefix="cse444" TagName="SideMenu" Src="SideMenu.ascx" %>
<%@ Page language="c#" Codebehind="Product.aspx.cs" AutoEventWireup="false" Inherits="store_starter.Product" %>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<html>
	<head>
		<title>CSE 444 Store - Product Details - <%= "--" %>
		</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link href="default.css" type="text/css" rel="stylesheet">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<cse444:header id="Header" runat="server"></cse444:header>
			<div id="Content">
				<div class="prop"><!-- MSIE CSS Hack --></div>
				<%-- Start Page Template Here --%>
				<h3>Product Details</h3>
				<p><a href="default.aspx">Back To ProductData List</a></p>
				<asp:placeholder id="InputError" runat="server" visible="false">
					<p><strong>Input Error:
							<%= Request.QueryString["Product"] %>
							is an invalid product.</strong></p>
				</asp:placeholder>
				<asp:placeholder id="MainContent" runat="server">
					<h3><%= "--" %></h3>
					<asp:repeater id="authorRepeater" runat="server">
						<headertemplate>by: </headertemplate>
						<itemtemplate>
							<%# "--" %>
						</itemtemplate>
						<separatortemplate>, </separatortemplate>
					</asp:repeater>
					<p>Retail Price:
						<%# "--" %>
						<br>
						Our Price:
						<%# "--"  %>
					</p>
					<p><b>Details:</b><br>
						Shipping Weight:
						<%= "--" %>
						<br>
						GTIN:
						<%= "--" %>
						<br>
						Stock:
						<%= "--" %>
					</p>
					<p>
						<asp:button id="Button1" onclick="AddToCart" runat="server" text="Add To Cart" enabled='<%# "--" %>'></asp:button>
						<asp:placeholder id=outOfStock runat="server" visible='<%# "--" %>'>
							<strong>[Out Of Stock]</strong>
						</asp:placeholder></p>
				</asp:placeholder>
				<%-- End Page Template Here --%>
			</div>
			<cse444:sidemenu id="SideMenu" runat="server"></cse444:sidemenu>
			<cse444:footer id="Footer" runat="server"></cse444:footer>
		</form>
	</body>
</html>
